Graph 45 endpoints

GET /systemgroups/{group_id}/associations

This endpoint returns the direct associations of a System Group.

A direct association can be a non-homogeneous relationship between 2 different objects, for example System Groups and Users.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/systemgroups/{GroupID}/associations?targets=user \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_systemGroupAssociationsList

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the System Group.

targets query optional array

Targets which a “system_group” can be associated to.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /systemgroups/{group_id}/associations
POST /systemgroups/{group_id}/associations

This endpoint allows you to manage the direct associations of a System Group.

A direct association can be a non-homogeneous relationship between 2 different objects, for example System Groups and Users.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/systemgroups/{GroupID}/associations \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "op": "add",
    "type": "user",
    "id": "{UserID}"
  }'
operationId: graph_systemGroupAssociationsPost

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the System Group.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema GraphOperation-SystemGroup
Property Type Required
id string required
op string required
type string required
attributes object optional

Responses

204

OK

POST /systemgroups/{group_id}/associations
GET /systemgroups/{group_id}/commands

This endpoint will return all Commands bound to a System Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the group’s type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this System Group to the corresponding Command; this array represents all grouping and/or associations that would have to be removed to deprovision the Command from this System Group.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/systemgroups/{GroupID}/commands \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_systemGroupTraverseCommand

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the System Group.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

details query optional string

This will provide detail descriptive response for the request.

Responses

200

OK

GET /systemgroups/{group_id}/commands
GET /systemgroups/{group_id}/members

This endpoint returns the system members of a System Group.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/systemgroups/{Group_ID}/members \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: graph_systemGroupMembersList

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the System Group.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /systemgroups/{group_id}/members
POST /systemgroups/{group_id}/members

This endpoint allows you to manage the system members of a System Group.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/systemgroups/{Group_ID}/members \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "op": "add",
    "type": "system",
    "id": "{System_ID}"
  }'
operationId: graph_systemGroupMembersPost

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the System Group.

Date header optional string

Current date header for the System Context API

Authorization header optional string

Authorization header for the System Context API

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema GraphOperation-SystemGroup-Member
Property Type Required
id string required
op string required
type string required
attributes object optional

Responses

204

OK

POST /systemgroups/{group_id}/members
GET /systemgroups/{group_id}/membership

This endpoint returns all Systems that are a member of this System Group.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/systemgroups/{Group_ID/membership \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: graph_systemGroupMembership

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the System Group.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /systemgroups/{group_id}/membership
GET /systemgroups/{group_id}/policies

This endpoint will return all Policies bound to a System Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this System Group to the corresponding Policy; this array represents all grouping and/or associations that would have to be removed to deprovision the Policy from this System Group.

See /members and /associations endpoints to manage those collections.

This endpoint is not public yet as we haven’t finished the code.

Sample Request
curl -X GET https://console.jumpcloud.com/api/v2/systemgroups/{GroupID}/policies \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_systemGroupTraversePolicy

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the System Group.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /systemgroups/{group_id}/policies
GET /systemgroups/{group_id}/policygroups

This endpoint will return all Policy Groups bound to a System Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this System Group to the corresponding Policy Group; this array represents all grouping and/or associations that would have to be removed to deprovision the Policy Group from this System Group.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/systemgroups/{GroupID}/policygroups \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: graph_systemGroupTraversePolicyGroup

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the System Group.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /systemgroups/{group_id}/policygroups
GET /systemgroups/{group_id}/usergroups

This endpoint will return all User Groups bound to a System Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this System Group to the corresponding User Group; this array represents all grouping and/or associations that would have to be removed to deprovision the User Group from this System Group.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/systemgroups/{GroupID}/usergroups \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: graph_systemGroupTraverseUserGroup

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the System Group.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /systemgroups/{group_id}/usergroups
GET /systemgroups/{group_id}/users

This endpoint will return all Users bound to a System Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this System Group to the corresponding User; this array represents all grouping and/or associations that would have to be removed to deprovision the User from this System Group.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/systemgroups/{GroupID}/users \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_systemGroupTraverseUser

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the System Group.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /systemgroups/{group_id}/users
GET /systems/{system_id}/associations

This endpoint returns the direct associations of a System.

A direct association can be a non-homogeneous relationship between 2 different objects, for example Systems and Users.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/systems/{System_ID}/associations?targets=user \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: graph_systemAssociationsList

Parameters

Name In Required Type Description
system_id path required string

ObjectID of the System.

targets query optional array

Targets which a “system” can be associated to.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

Date header optional string

Current date header for the System Context API

Authorization header optional string

Authorization header for the System Context API

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /systems/{system_id}/associations
POST /systems/{system_id}/associations

This endpoint allows you to manage the direct associations of a System.

A direct association can be a non-homogeneous relationship between 2 different objects, for example Systems and Users.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/systems/{System_ID}/associations \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "attributes": {
      "sudo": {
        "enabled": true,
        "withoutPassword": false
      }
    },
    "op": "add",
    "type": "user",
    "id": "UserID"
  }'
operationId: graph_systemAssociationsPost

Parameters

Name In Required Type Description
system_id path required string

ObjectID of the System.

Date header optional string

Current date header for the System Context API

Authorization header optional string

Authorization header for the System Context API

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema GraphOperation-System
Property Type Required
id string required
op string required
type string required
attributes object optional
sudo object optional
enabled boolean required
withoutPassword boolean required

Responses

204

OK

POST /systems/{system_id}/associations
GET /systems/{system_id}/commands

This endpoint will return all Commands bound to a System, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this System to the corresponding Command; this array represents all grouping and/or associations that would have to be removed to deprovision the Command from this System.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/systems/{System_ID}/commands \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: graph_systemTraverseCommand

Parameters

Name In Required Type Description
system_id path required string

ObjectID of the System.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

details query optional string

This will provide detail descriptive response for the request.

Responses

200

OK

GET /systems/{system_id}/commands
GET /systems/{system_id}/memberof

This endpoint returns all the System Groups a System is a member of.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/systems/{System_ID}/memberof \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: graph_systemMemberOf

Parameters

Name In Required Type Description
system_id path required string

ObjectID of the System.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

Date header optional string

Current date header for the System Context API

Authorization header optional string

Authorization header for the System Context API

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /systems/{system_id}/memberof
GET /systems/{system_id}/policies

This endpoint will return all Policies bound to a System, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this System to the corresponding Policy; this array represents all grouping and/or associations that would have to be removed to deprovision the Policy from this System.

See /members and /associations endpoints to manage those collections.

This endpoint is not yet public as we have finish the code.

Sample Request
curl -X GET https://console.jumpcloud.com/api/v2/{System_ID}/policies \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: graph_systemTraversePolicy

Parameters

Name In Required Type Description
system_id path required string

ObjectID of the System.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /systems/{system_id}/policies
GET /systems/{system_id}/policygroups

This endpoint will return all Policy Groups bound to a System, either directly or indirectly essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this System to the corresponding Policy Group; this array represents all grouping and/or associations that would have to be removed to deprovision the Policy Group from this System.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/systems/{System_ID}/policygroups \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: graph_systemTraversePolicyGroup

Parameters

Name In Required Type Description
system_id path required string

ObjectID of the System.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

Date header optional string

Current date header for the System Context API

Authorization header optional string

Authorization header for the System Context API

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /systems/{system_id}/policygroups
GET /systems/{system_id}/policystatuses

This endpoint returns the policy results for a particular system.

Sample Request
curl -X GET https://console.jumpcloud.com/api/v2/systems/{System_ID}/policystatuses \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: policystatuses_systemsList

Parameters

Name In Required Type Description
system_id path required string

ObjectID of the System.

fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /systems/{system_id}/policystatuses
GET /systems/{system_id}/usergroups

This endpoint will return all User Groups bound to a System, either directly or indirectly essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this System to the corresponding User Group; this array represents all grouping and/or associations that would have to be removed to deprovision the User Group from this System.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/systems/{System_ID}/usergroups \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: graph_systemTraverseUserGroup

Parameters

Name In Required Type Description
system_id path required string

ObjectID of the System.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

Date header optional string

Current date header for the System Context API

Authorization header optional string

Authorization header for the System Context API

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /systems/{system_id}/usergroups
GET /systems/{system_id}/users

This endpoint will return all Users bound to a System, either directly or indirectly essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this System to the corresponding User; this array represents all grouping and/or associations that would have to be removed to deprovision the User from this System.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/systems/{System_ID}/users \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: graph_systemTraverseUser

Parameters

Name In Required Type Description
system_id path required string

ObjectID of the System.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

Date header optional string

Current date header for the System Context API

Authorization header optional string

Authorization header for the System Context API

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /systems/{system_id}/users
GET /usergroups/{group_id}/activedirectories

This endpoint will return all Active Directory Instances bound to a User Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this User Group to the corresponding Active Directory; this array represents all grouping and/or associations that would have to be removed to deprovision the Active Directory from this User Group.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/usergroups/{GroupID}/activedirectories \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_userGroupTraverseActiveDirectory

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the User Group.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200
GET /usergroups/{group_id}/activedirectories
GET /usergroups/{group_id}/applications

This endpoint will return all Applications bound to a User Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this User Group to the corresponding Application; this array represents all grouping and/or associations that would have to be removed to deprovision the Application from this User Group.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/usergroups/{GroupID}/applications \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_userGroupTraverseApplication

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the User Group.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /usergroups/{group_id}/applications
GET /usergroups/{group_id}/associations

This endpoint returns the direct associations of this User Group.

A direct association can be a non-homogeneous relationship between 2 different objects, for example User Groups and Users.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/usergroups/{GroupID}/associations?targets=system \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_userGroupAssociationsList

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the User Group.

targets query optional array

Targets which a “user_group” can be associated to.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /usergroups/{group_id}/associations
POST /usergroups/{group_id}/associations

This endpoint manages the direct associations of this User Group.

A direct association can be a non-homogeneous relationship between 2 different objects, for example User Groups and Users.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/usergroups/{GroupID}/associations \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "op": "add",
    "type": "system",
    "id": "{SystemID}"
  }'
operationId: graph_userGroupAssociationsPost

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the User Group.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema GraphOperation-UserGroup
Property Type Required
id string required
op string required
type string required
attributes object optional

Responses

204

OK

POST /usergroups/{group_id}/associations
GET /usergroups/{group_id}/directories

This endpoint will return all Directories bound to a User Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this User Group to the corresponding Directory; this array represents all grouping and/or associations that would have to be removed to deprovision the Directories from this User Group.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/usergroups/{GroupID}/directories \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: graph_userGroupTraverseDirectory

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the User Group.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /usergroups/{group_id}/directories
GET /usergroups/{group_id}/gsuites

This endpoint will return all G Suite Instances bound to a User Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this User Group to the corresponding G Suite instance; this array represents all grouping and/or associations that would have to be removed to deprovision the G Suite instance from this User Group.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/usergroups/{GroupID/gsuites \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: graph_userGroupTraverseGSuite

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the User Group.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /usergroups/{group_id}/gsuites
GET /usergroups/{group_id}/ldapservers

This endpoint will return all LDAP Servers bound to a User Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this User Group to the corresponding LDAP Server; this array represents all grouping and/or associations that would have to be removed to deprovision the LDAP Server from this User Group.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/usergroups/{GroupID}/ldapservers \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_userGroupTraverseLdapServer

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the User Group.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /usergroups/{group_id}/ldapservers
GET /usergroups/{group_id}/members

This endpoint returns the user members of a User Group.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/usergroups/{GroupID}/members \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_userGroupMembersList

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the User Group.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /usergroups/{group_id}/members
POST /usergroups/{group_id}/members

This endpoint allows you to manage the user members of a User Group.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/usergroups/{GroupID}/members \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "op": "add",
    "type": "user",
    "id": "{User_ID}"
  }'
operationId: graph_userGroupMembersPost

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the User Group.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema GraphOperation-UserGroup-Member
Property Type Required
id string required
op string required
type string required
attributes object optional

Responses

204

OK

POST /usergroups/{group_id}/members
GET /usergroups/{group_id}/membership

This endpoint returns all users members that are a member of this User Group.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/usergroups/{GroupID}/membership \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_userGroupMembership

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the User Group.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /usergroups/{group_id}/membership
GET /usergroups/{group_id}/office365s

This endpoint will return all Office 365 instances bound to a User Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this User Group to the corresponding Office 365 instance; this array represents all grouping and/or associations that would have to be removed to deprovision the Office 365 instance from this User Group.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/usergroups/{GroupID}/office365s \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_userGroupTraverseOffice365

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the User Group.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /usergroups/{group_id}/office365s
GET /usergroups/{group_id}/radiusservers

This endpoint will return all RADIUS servers bound to a User Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this User Group to the corresponding RADIUS Server; this array represents all grouping and/or associations that would have to be removed to deprovision the RADIUS Server from this User Group.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/usergroups/{GroupID}/radiusservers \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: graph_userGroupTraverseRadiusServer

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the User Group.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /usergroups/{group_id}/radiusservers
GET /usergroups/{group_id}/systemgroups

This endpoint will return all System Groups bound to a User Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this User Group to the corresponding System Group; this array represents all grouping and/or associations that would have to be removed to deprovision the System Group from this User Group.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/usergroups/{GroupID}/systemgroups \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_userGroupTraverseSystemGroup

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the User Group.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /usergroups/{group_id}/systemgroups
GET /usergroups/{group_id}/systems

This endpoint will return all Systems bound to a User Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this User Group to the corresponding System; this array represents all grouping and/or associations that would have to be removed to deprovision the System from this User Group.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/usergroups/{GroupID}/systems \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_userGroupTraverseSystem

Parameters

Name In Required Type Description
group_id path required string

ObjectID of the User Group.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /usergroups/{group_id}/systems
GET /users/{user_id}/activedirectories

This endpoint will return all Active Directory Instances bound to a User, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this User to the corresponding Active Directory instance; this array represents all grouping and/or associations that would have to be removed to deprovision the Active Directory instance from this User.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/users/{UserID}/activedirectories \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_userTraverseActiveDirectory

Parameters

Name In Required Type Description
user_id path required string

ObjectID of the User.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

Responses

200
GET /users/{user_id}/activedirectories
GET /users/{user_id}/applications

This endpoint will return all Applications bound to a User, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this User to the corresponding Application; this array represents all grouping and/or associations that would have to be removed to deprovision the Application from this User.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/users/{UserID}/applications \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_userTraverseApplication

Parameters

Name In Required Type Description
user_id path required string

ObjectID of the User.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /users/{user_id}/applications
GET /users/{user_id}/associations

This endpoint returns the direct associations of a User.

A direct association can be a non-homogeneous relationship between 2 different objects, for example Users and Systems.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/users/{UserID}/associations?targets=system_group \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: graph_userAssociationsList

Parameters

Name In Required Type Description
user_id path required string

ObjectID of the User.

targets query optional array

Targets which a “user” can be associated to.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /users/{user_id}/associations
POST /users/{user_id}/associations

This endpoint allows you to manage the direct associations of a User.

A direct association can be a non-homogeneous relationship between 2 different objects, for example Users and Systems.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/users/{UserID}/associations \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "attributes": {
      "sudo": {
      "enabled": true,
        "withoutPassword": false
      }
    },
    "op": "add",
    "type": "system_group",
    "id": "{GroupID}"
  }'
operationId: graph_userAssociationsPost

Parameters

Name In Required Type Description
user_id path required string

ObjectID of the User.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema GraphOperation-User
Property Type Required
id string required
op string required
type string required
attributes object optional
sudo object optional
enabled boolean required
withoutPassword boolean required

Responses

204

OK

POST /users/{user_id}/associations
GET /users/{user_id}/directories

This endpoint will return all Directories bound to a User, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this User to the corresponding Directory; this array represents all grouping and/or associations that would have to be removed to deprovision the Directory from this User.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/users/{UserID}/directories \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_userTraverseDirectory

Parameters

Name In Required Type Description
user_id path required string

ObjectID of the User.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /users/{user_id}/directories
GET /users/{user_id}/gsuites

This endpoint will return all G-Suite Instances bound to a User, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this User to the corresponding G Suite instance; this array represents all grouping and/or associations that would have to be removed to deprovision the G Suite instance from this User.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/users/{UserID}/gsuites \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_userTraverseGSuite

Parameters

Name In Required Type Description
user_id path required string

ObjectID of the User.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /users/{user_id}/gsuites
GET /users/{user_id}/ldapservers

This endpoint will return all LDAP Servers bound to a User, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this User to the corresponding LDAP Server; this array represents all grouping and/or associations that would have to be removed to deprovision the LDAP Server from this User.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/users/{UserID}/ldapservers \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_userTraverseLdapServer

Parameters

Name In Required Type Description
user_id path required string

ObjectID of the User.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /users/{user_id}/ldapservers
GET /users/{user_id}/memberof

This endpoint returns all the User Groups a User is a member of.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/users/{UserID}/memberof \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_userMemberOf

Parameters

Name In Required Type Description
user_id path required string

ObjectID of the User.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /users/{user_id}/memberof
GET /users/{user_id}/office365s

This endpoint will return all Office 365 Instances bound to a User, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this User to the corresponding Office 365 instance; this array represents all grouping and/or associations that would have to be removed to deprovision the Office 365 instance from this User.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/users/{UserID}/office365s \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_userTraverseOffice365

Parameters

Name In Required Type Description
user_id path required string

ObjectID of the User.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /users/{user_id}/office365s
GET /users/{user_id}/radiusservers

This endpoint will return all RADIUS Servers bound to a User, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this User to the corresponding RADIUS Server; this array represents all grouping and/or associations that would have to be removed to deprovision the RADIUS Server from this User.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/users/{UserID}/radiusservers \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_userTraverseRadiusServer

Parameters

Name In Required Type Description
user_id path required string

ObjectID of the User.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /users/{user_id}/radiusservers
GET /users/{user_id}/systemgroups

This endpoint will return all System Groups bound to a User, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this User to the corresponding System Group; this array represents all grouping and/or associations that would have to be removed to deprovision the System Group from this User.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/users/{UserID}/systemgroups\
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_userTraverseSystemGroup

Parameters

Name In Required Type Description
user_id path required string

ObjectID of the User.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /users/{user_id}/systemgroups
GET /users/{user_id}/systems

This endpoint will return all Systems bound to a User, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

Each element will contain the type, id, attributes and paths.

The attributes object is a key/value hash of compiled graph attributes for all paths followed.

The paths array enumerates each path from this User to the corresponding System; this array represents all grouping and/or associations that would have to be removed to deprovision the System from this User.

See /members and /associations endpoints to manage those collections.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/users/{UserID}/systems\
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: graph_userTraverseSystem

Parameters

Name In Required Type Description
user_id path required string

ObjectID of the User.

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /users/{user_id}/systems

Groups 1 endpoints

GET /groups

This endpoint returns all Groups that exist in your organization.

Available filter fields:

  • name
  • disabled
  • type

Sample Request

  curl -X GET \
  https://console.jumpcloud.com/api/v2/groups \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: groups_list

Parameters

Name In Required Type Description
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

x-unfiltered-total-count header optional integer

If provided in the request with any non-empty value, this header will be returned on the response populated with the total count of objects without filters taken into account

Responses

default

Unexpected error

200

OK

GET /groups

Iplists 4 endpoints

GET /iplists

Retrieve all IP lists.

Sample Request

curl https://console.jumpcloud.com/api/v2/iplists \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: iplists_list

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

x-total-count header optional integer
limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

Responses

200

OK

400
401
403
404
409
500
GET /iplists
POST /iplists

Create an IP list.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/iplists \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "name": "Sample IP List",
    "ips": [
      "192.168.10.12",
      "192.168.10.20 - 192.168.10.30",
      "123.225.10.0/32"
    ]
  }'
operationId: iplists_post

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema IPListRequest
Property Type Required
ips array optional
name string optional
description string optional

Responses

201

Created

400
401
403
404
409
500
POST /iplists
DELETE /iplists/{id}

Delete a specific IP list.

Sample Request

curl -X DELETE https://console.jumpcloud.com/api/v2/iplists/{id} \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: iplists_delete

Parameters

Name In Required Type Description
id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

400
401
403
404
409
500
DELETE /iplists/{id}
GET /iplists/{id}

Return a specific IP list.

Sample Request

curl https://console.jumpcloud.com/api/v2/iplists/{id} \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: iplists_get

Parameters

Name In Required Type Description
id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

400
401
403
404
409
500
GET /iplists/{id}
Load more endpoints